LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY circ2 IS
	PORT(
		clk, ecrDef : IN STD_LOGIC;
		S 			: OUT STD_LOGIC_VECTOR(7 DOWNTO 0)
	);
END ENTITY circ2;

ARCHITECTURE arch OF circ2 IS
	COMPONENT decoder
		PORT(	sel : IN STD_LOGIC_VECTOR(2 DOWNTO 0);
				s: OUT STD_LOGIC_VECTOR(7 DOWNTO 0)
		);
	END COMPONENT;
	
COMPONENT compteur 
	PORT(	clk, updown	: IN STD_LOGIC;
			S 	: OUT STD_LOGIC_VECTOR(2 DOWNTO 0)
	);
END COMPONENT;
	SIGNAL tmp : STD_LOGIC_VECTOR(2 DOWNTO 0);
BEGIN
	cpt : compteur PORT MAP(clk, ecrDef,tmp);
	dec : decoder PORT MAP(tmp,S);

END ARCHITECTURE;
